Browse Source

package.bbclass: Fix regression in -dbg packages introduced by explode_dep_versions change

We need to iterate over the dictionary pulling out the values, not take the top
level keys. If we don't do this, we end up with dependencies on the values of
PACKAGES, not library dependencies.

(From OE-Core rev: 7219bca11f554fbe2ed30f1537491987d65e9316)

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
set-pr-number
Richard Purdie 9 years ago
parent
commit
71030c6b37
  1. 5
      meta/classes/package.bbclass

5
meta/classes/package.bbclass

@ -1763,7 +1763,10 @@ python package_depchains() {
if "-dbg" in pkgs:
pkglibdeps = read_libdep_files(d)
pkglibdeplist = pkglibdeps.keys()
pkglibdeplist = []
for pkg in pkglibdeps:
for k in pkglibdeps[pkg]:
add_dep(pkglibdeplist, k)
# FIXME this should not look at PN once all task recipes inherit from task.bbclass
dbgdefaultdeps = ((d.getVar('DEPCHAIN_DBGDEFAULTDEPS', True) == '1') or (d.getVar('PN', True) or '').startswith('packagegroup-'))

Loading…
Cancel
Save